Subject: bug#72160: 29.3; package buglet

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 19:27:29 -0800

Stefan Kangas <[email-masked]> writes:

>> (package-install "xr") ; (error "Package ‘xr’ is unavailable")
>> Should work like (package-install 'xr)
>> instead of erring with that awfully misleading error message.
>
> I was considering just improving the error message, however
> `package-upgrade` already accepts either a symbol or a string.
>
> So I changed this function to accept a string also, to be more
> consistent (commit 735eace97b8).

BTW, the other option here is to make the backwards-incompatible change
and make `package-upgrade` require only a symbol.

I'd personally be fine with that instead, but then that should probably
just lead to a warning at first, for a couple of versions or so.